Bug 226660 - Merge Review: xterm
Merge Review: xterm
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Kevin Fenzi
Fedora Package Reviews List
Depends On:
  Show dependency treegraph
Reported: 2007-01-31 16:35 EST by Nobody's working on this, feel free to take it
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-02-23 22:14:25 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
kevin: fedora‑review+

Attachments (Terms of Use)

  None (edit)
Description Nobody's working on this, feel free to take it 2007-01-31 16:35:36 EST
Fedora Merge Review: xterm

Initial Owner: mlichvar@redhat.com
Comment 1 Kevin Fenzi 2007-02-06 23:21:30 EST
I'd be happy to review this package, look for a full review in a bit. 
Comment 2 Kevin Fenzi 2007-02-06 23:42:27 EST
OK - Package meets naming and packaging guidelines
OK - Spec file matches base package name.
OK - Spec has consistant macro usage.
OK - Meets Packaging Guidelines.
OK - License (MIT)
OK - License field in spec matches
OK - License file included in package
OK - Spec in American English
OK - Spec is legible.
OK - Sources match upstream md5sum:
bf5bb77496ddf95df32b8e752a6cabb0  xterm-223.tgz
bf5bb77496ddf95df32b8e752a6cabb0  xterm-223.tgz.1
OK - BuildRequires correct
OK - Package has %defattr and permissions on files is good.
OK - Package has a correct %clean section.
OK - Package has correct buildroot
OK - Package is code or permissible content.
OK - Packages %doc files don't affect runtime.

See below - Package is a GUI app and has a .desktop file

OK - Package compiles and builds on at least one arch.  
OK - Package has no duplicate files in %files.
OK - Package doesn't own any directories other packages own.
OK - Package owns all the directories it creates.
See below - No rpmlint output.
OK - final provides and requires are sane:


OK - Should build in mock.
OK - Should build on all supported archs
OK - Should function as described.
OK - Should have dist tag
OK - Should package latest version
2 outstanding bugs, not package related - check for outstanding bugs on package.


1. Would it make sense to make a .desktop file for xterm? 
It is a GUI app... 

2. rpmlint sez:

rpmlint on ./xterm-debuginfo-223-2.fc7.x86_64.rpm
rpmlint on ./xterm-223-2.fc7.src.rpm
W: xterm summary-not-capitalized xterm terminal emulator for the X Window System

Might make that a cap X (minor, non blocker)

W: xterm mixed-use-of-spaces-and-tabs (spaces: line 2, tab: line 41)

Might pick tabs or spaces and use only one or the other.

rpmlint on ./xterm-223-2.fc7.x86_64.rpm
W: xterm summary-not-capitalized xterm terminal emulator for the X Window System
E: xterm non-standard-gid /usr/bin/xterm utempter
E: xterm setgid-binary /usr/bin/xterm utempter 02755
E: xterm non-standard-executable-perm /usr/bin/xterm 02755

Ignoreable. This package has to have a sgid utempter binary to
allow it to show login sessions.

Once you have addressed these items (either by making the suggested changes, or
by explaining why they don't make sense), please reassign this review back 
to me, and change the 'fedora-review' flag back to ? for me to take action. 
Comment 3 Miroslav Lichvar 2007-02-07 14:24:14 EST
Ok, should be fixed in xterm-223-3.fc7.
Comment 4 Kevin Fenzi 2007-02-07 21:08:43 EST
Thanks for the prompt fixes.

Just to record here, we discussed adding the desktop file today in the
#fedora-desktop irc channel. It seems it should be fine to do so. 
If this turns out to be a problem due to xterm being installed for the gdm
failsafe mode, we can always go back and remove the desktop file. 

I see no further blockers here, so this package is APPROVED. 

I think the current plan is to leave this review assigned to you, 
and with the fedora-review flag set to + until it can be determined how to 
set them up in CVS. 

Thanks again. 
Comment 5 Kevin Fenzi 2007-02-23 22:14:25 EST
Per the new official review guidelines I am going to reassign this to me
(reviewer) and set it to closed/rawhide, since it's fixed there.

Note You need to log in before you can comment on or make changes to this bug.